#ifndef DZ1_ACCOUNT_H
#define DZ1_ACCOUNT_H

#include <iostream>
#include <cstring>

struct Account {
    unsigned int number;
    unsigned int code;
    
    char surname[50];      //!!! Для строк нужно использовать статический массив char surname[] для корректного вывода в бинарный файл
    char creation_date[50];//!!! Для строк нужно использовать статический массив char surname[] для корректного вывода в бинарный файл
    
    double money;
    double annual_percentage;
    Account() = default;
    
    //!!! Форматируйте в столбик
    Account(unsigned int p_number,
            unsigned int p_code,
            const char* p_surname,
            double p_money,
            const char* p_creation_date,
            double p_annual_percentage) :
        number(p_number),
        code(p_code),
        money(p_money),
        annual_percentage(p_annual_percentage)
    {
        std::strcpy(surname, p_surname);
        std::strcpy(creation_date, p_creation_date);
    };

    bool operator == (const Account& p) const
    {
        //!!! Форматируйте в столбик
        return (number == p.number &&
                code == p.code &&
                surname == p.surname &&
                money == p.money &&
                creation_date == p.creation_date &&
                annual_percentage == p.annual_percentage
                );
    }
    friend std::ostream& operator<<(std::ostream& out, const Account& p_acc);
    friend std::istream& operator>>(std::istream& in, Account& p_acc);

};

#endif //DZ1_ACCOUNT_H
